Index: c/src/lib/libbsp/m68k/dmv152/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/dmv152/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/efi332/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/efi332/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/efi332/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/gen68302/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/gen68302/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/gen68360/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/gen68360/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/idp/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/idp/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/mvme136/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/mvme136/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/mvme147/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/mvme147/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/mvme147s/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/mvme147s/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../mvme147/startup
+VPATH=@srcdir@:@srcdir@/../../mvme147/startup:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/mvme162/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/Makefile.in	(revision bc7d465dcd58eabb6a0dfbe6312b77bca938a1cb)
+++ c/src/lib/libbsp/m68k/mvme162/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:@srcdir@/../../shared
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/shared/setvec.c
===================================================================
--- c/src/lib/libbsp/m68k/shared/setvec.c	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/shared/setvec.c	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
@@ -0,0 +1,39 @@
+/*  
+ *
+ *  This routine installs an interrupt vector using the basic
+ *  RTEMS mechanisms.  This implementation should be suitable for 
+ *  most m68k based boards.  However, if the board has an unusual
+ *  interrupt controller or most somehow manipulate board specific
+ *  hardware to enable/disable, mask, prioritize, etc an interrupt
+ *  source, then this routine should be customized to support that.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <rtems.h>
+#include <bsp.h>
+
+m68k_isr_entry set_vector(                      /* returns old vector */
+  rtems_isr_entry     handler,                  /* isr routine        */
+  rtems_vector_number vector,                   /* vector number      */
+  int                 type                      /* RTEMS or RAW intr  */
+)
+{
+  m68k_isr_entry  previous_isr;
+
+  if ( type )
+    rtems_interrupt_catch( handler, vector, (rtems_isr_entry *) &previous_isr );
+  else {
+    _CPU_ISR_install_raw_handler( vector, handler, (void *)&previous_isr );
+  }
+  return previous_isr;
+}
+
